---
title: LinkStyle
slug: Web/API/LinkStyle
tags:
  - API
  - CSSOM
  - Interface
  - Reference
---
<div>{{APIRef("CSSOM")}}</div>

<p>The <code><strong>LinkStyle</strong></code> interface provides access to the <em>associated CSS style sheet</em> of a node.</p>

<p><code>LinkStyle</code> is a raw interface and no object of this type can be created; it is implemented by {{domxref("HTMLLinkElement")}} and {{domxref("HTMLStyleElement")}} objects.</p>

<h2 id="Properties">Properties</h2>

<p><em>There is no inherited property.</em></p>

<dl>
 <dt>{{domxref("LinkStyle.sheet")}} {{readonlyInline}}</dt>
 <dd>Returns the {{domxref("CSSStyleSheet")}} object associated with the given element, or <code>null</code> if there is none.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface implements no method.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSSOM', '#the-linkstyle-interface', 'LinkStyle')}}</td>
   <td>{{Spec2('CSSOM')}}</td>
   <td>{{domxref("LinkStyle.sheet")}} returns more specialized {{domxref("CSSStyleSheet")}} instead of {{domxref("StyleSheet")}}</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Style', 'stylesheets.html#StyleSheets-LinkStyle', 'LinkStyle')}}</td>
   <td>{{Spec2('DOM2 Style')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.LinkStyle")}}</p>
